Using the bundled PHP
Installing for Apache on MacOS X Client
Mac OS X에 설치
PHP Manual

## Compiling for OS X Server

##### Mac OS X Server install

1. Get the latest distributions of Apache and PHP.

2. Untar them, and run the configure program on Apache like so.

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache

3. If you want the compiler to do some optimization, you may also want to add this line:

       setenv OPTIM=-O2

4. Next, go to the PHP 4 source directory and configure it.

       ./configure --prefix=/usr \
           --sysconfdir=/etc \
           --localstatedir=/var \
           --mandir=/usr/share/man \
           --with-xml \
           --with-apache=/src/apache_1.3.12

   If you have any other additions (MySQL, GD, etc.), be sure to add them here. For the --with-apache string, put in the path to your apache source directory, for example /src/apache_1.3.12.

5. Type make and make install. This will add a directory to your Apache source directory under src/modules/php4.

6. Now, reconfigure Apache to build in PHP 4.

       ./configure --exec-prefix=/usr \
       --localstatedir=/var \
       --mandir=/usr/share/man \
       --libexecdir=/System/Library/Apache/Modules \
       --iconsdir=/System/Library/Apache/Icons \
       --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
       --enable-shared=max \
       --enable-module=most \
       --target=apache \
       --activate-module=src/modules/php4/libphp4.a

   You may get a message telling you that libmodphp4.a is out of date. If so, go to the src/modules/php4 directory inside your Apache source directory and run this command: ranlib libmodphp4.a. Then go back to the root of the Apache source directory and run the above configure command again. That'll bring the link table up to date. Run make and make install again.

7. Copy and rename the php.ini-dist file to your bin directory from your PHP 4 source directory: `cp php.ini-dist /usr/local/bin/php.ini` or (if your don't have a local directory) `cp php.ini-dist /usr/bin/php.ini` .

Using the bundled PHP
Installing for Apache on MacOS X Client
Mac OS X에 설치
PHP Manual